Class IPOOffering
java.lang.Object
markets.alpaca.client.openapi.broker.model.IPOOffering
- All Implemented Interfaces:
Serializable
@Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
comments="Generator version: 7.23.0")
public class IPOOffering
extends Object
implements Serializable
An IPO (Initial Public Offering) offering exposed via the IPO discovery REST API. Returned by `GET /v1/ipos` and `GET /v1/ipos/{offering_reference}`. Most IPO lifecycle changes (new offerings, prospectus availability, 60-minute mail, allocations, cancellations) are pushed in real time over the [IPO Events Stream](#operation/subscribeToIPOEventsSSE).
- See Also:
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic enumWhether the offering is currently accepting orders.static class -
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final String -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionaddUnderwritersItem(String underwritersItem) anticipatedShares(Long anticipatedShares) availability(IPOOffering.AvailabilityEnum availability) description(String description) booleanstatic IPOOfferingCreate an instance of IPOOffering given an JSON stringReturn the additional (undeclared) property.Return the additional (undeclared) property with the specified name.Anticipated total share count for the offering, when known.Whether the offering is currently accepting orders.CUSIP identifier of the offering.A longer human-readable description of the offering, when available.The unique offering identifier used across the IPO Events Stream and `/v1/ipos/{offering_reference}`.URL to a small logo asset for the issuer.Upper bound of the indicated price range.Maximum allowed order amount.Lower bound of the indicated price range.Minimum allowed order amount.getName()The official name of the offering.When `true`, the offering is in its 60-minute pricing window and is not accepting new orders.The type of offering.URL to the prospectus document.Anticipated settlement date.The ticker symbol that will be used once the security begins trading on the secondary market.Anticipated first trading date on the secondary market.List of underwriter names participating in the offering.The minimum increment in which order quantities can be specified.inthashCode()ipoReference(String ipoReference) maxPrice(BigDecimal maxPrice) maxTicketSize(String maxTicketSize) minPrice(BigDecimal minPrice) minTicketSize(String minTicketSize) noNewOrders(Boolean noNewOrders) offeringType(String offeringType) prospectusUrl(String prospectusUrl) putAdditionalProperty(String key, Object value) Set the additional (undeclared) property with the specified name and value.voidsetAnticipatedShares(Long anticipatedShares) voidsetAvailability(IPOOffering.AvailabilityEnum availability) voidsetCusipId(String cusipId) voidsetDescription(String description) voidsetIpoReference(String ipoReference) voidsetLogoSmall(String logoSmall) voidsetMaxPrice(BigDecimal maxPrice) voidsetMaxTicketSize(String maxTicketSize) voidsetMinPrice(BigDecimal minPrice) voidsetMinTicketSize(String minTicketSize) voidvoidsetNoNewOrders(Boolean noNewOrders) voidsetOfferingType(String offeringType) voidsetProspectusUrl(String prospectusUrl) voidsetSettlementDate(LocalDate settlementDate) voidsetTickerSymbol(String tickerSymbol) settlementDate(LocalDate settlementDate) voidsetTradeDate(LocalDate tradeDate) voidsetUnderwriters(List<String> underwriters) voidsetUnitStepSize(String unitStepSize) tickerSymbol(String tickerSymbol) toJson()Convert an instance of IPOOffering to an JSON stringtoString()underwriters(List<String> underwriters) unitStepSize(String unitStepSize) static voidvalidateJsonElement(com.google.gson.JsonElement jsonElement) Validates the JSON Element and throws an exception if issues found
-
Field Details
-
SERIALIZED_NAME_ANTICIPATED_SHARES
- See Also:
-
SERIALIZED_NAME_AVAILABILITY
- See Also:
-
SERIALIZED_NAME_CUSIP_ID
- See Also:
-
SERIALIZED_NAME_DESCRIPTION
- See Also:
-
SERIALIZED_NAME_IPO_REFERENCE
- See Also:
-
SERIALIZED_NAME_LOGO_SMALL
- See Also:
-
SERIALIZED_NAME_MAX_PRICE
- See Also:
-
SERIALIZED_NAME_MAX_TICKET_SIZE
- See Also:
-
SERIALIZED_NAME_MIN_PRICE
- See Also:
-
SERIALIZED_NAME_MIN_TICKET_SIZE
- See Also:
-
SERIALIZED_NAME_NAME
- See Also:
-
SERIALIZED_NAME_NO_NEW_ORDERS
- See Also:
-
SERIALIZED_NAME_OFFERING_TYPE
- See Also:
-
SERIALIZED_NAME_PROSPECTUS_URL
- See Also:
-
SERIALIZED_NAME_SETTLEMENT_DATE
- See Also:
-
SERIALIZED_NAME_TICKER_SYMBOL
- See Also:
-
SERIALIZED_NAME_TRADE_DATE
- See Also:
-
SERIALIZED_NAME_UNDERWRITERS
- See Also:
-
SERIALIZED_NAME_UNIT_STEP_SIZE
- See Also:
-
openapiFields
-
openapiRequiredFields
-
-
Constructor Details
-
IPOOffering
public IPOOffering()
-
-
Method Details
-
availability
-
getAvailability
Whether the offering is currently accepting orders. - `available` - accepting new orders. - `not_available` - not yet open for orders. - `closed` - no longer accepting orders. Note: the IPO Events Stream uses a different casing for the analogous `payload.available_to_order` field on `Offering`/`OfferingUpdate` events (`Available`, `NotAvailable`, `Closed`).- Returns:
- availability
-
setAvailability
-
cusipId
-
getCusipId
CUSIP identifier of the offering.- Returns:
- cusipId
-
setCusipId
-
description
-
getDescription
A longer human-readable description of the offering, when available.- Returns:
- description
-
setDescription
-
ipoReference
-
getIpoReference
The unique offering identifier used across the IPO Events Stream and `/v1/ipos/{offering_reference}`. Note that this value is also used as the path parameter, where it is named `offering_reference`.- Returns:
- ipoReference
-
setIpoReference
-
logoSmall
-
getLogoSmall
URL to a small logo asset for the issuer.- Returns:
- logoSmall
-
setLogoSmall
-
maxPrice
-
getMaxPrice
Upper bound of the indicated price range.- Returns:
- maxPrice
-
setMaxPrice
-
maxTicketSize
-
getMaxTicketSize
Maximum allowed order amount.- Returns:
- maxTicketSize
-
setMaxTicketSize
-
minPrice
-
getMinPrice
Lower bound of the indicated price range.- Returns:
- minPrice
-
setMinPrice
-
minTicketSize
-
getMinTicketSize
Minimum allowed order amount.- Returns:
- minTicketSize
-
setMinTicketSize
-
name
-
getName
The official name of the offering.- Returns:
- name
-
setName
-
noNewOrders
-
getNoNewOrders
When `true`, the offering is in its 60-minute pricing window and is not accepting new orders. This mirrors the `SixtyMinMail` event on the IPO Events Stream.- Returns:
- noNewOrders
-
setNoNewOrders
-
offeringType
-
getOfferingType
The type of offering. Currently always `IPO`.- Returns:
- offeringType
-
setOfferingType
-
prospectusUrl
-
getProspectusUrl
URL to the prospectus document. Mirrors the `prospectus_url` payload of the corresponding `Prospectus` event on the IPO Events Stream.- Returns:
- prospectusUrl
-
setProspectusUrl
-
settlementDate
-
getSettlementDate
Anticipated settlement date.- Returns:
- settlementDate
-
setSettlementDate
-
tickerSymbol
-
getTickerSymbol
The ticker symbol that will be used once the security begins trading on the secondary market.- Returns:
- tickerSymbol
-
setTickerSymbol
-
tradeDate
-
getTradeDate
Anticipated first trading date on the secondary market.- Returns:
- tradeDate
-
setTradeDate
-
underwriters
-
addUnderwritersItem
-
getUnderwriters
List of underwriter names participating in the offering.- Returns:
- underwriters
-
setUnderwriters
-
unitStepSize
-
getUnitStepSize
The minimum increment in which order quantities can be specified.- Returns:
- unitStepSize
-
setUnitStepSize
-
putAdditionalProperty
Set the additional (undeclared) property with the specified name and value. If the property does not already exist, create it otherwise replace it.- Parameters:
key- name of the propertyvalue- value of the property- Returns:
- the IPOOffering instance itself
-
getAdditionalProperties
Return the additional (undeclared) property.- Returns:
- a map of objects
-
getAdditionalProperty
Return the additional (undeclared) property with the specified name.- Parameters:
key- name of the property- Returns:
- an object
-
equals
-
hashCode
public int hashCode() -
toString
-
validateJsonElement
Validates the JSON Element and throws an exception if issues found- Parameters:
jsonElement- JSON Element- Throws:
IOException- if the JSON Element is invalid with respect to IPOOffering
-
fromJson
Create an instance of IPOOffering given an JSON string- Parameters:
jsonString- JSON string- Returns:
- An instance of IPOOffering
- Throws:
IOException- if the JSON string is invalid with respect to IPOOffering
-
toJson
Convert an instance of IPOOffering to an JSON string- Returns:
- JSON string